Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1118818 - Luns either missing from or having no 'volume_group_id' in the luns table in the RHEV database.
Summary: Luns either missing from or having no 'volume_group_id' in the luns table in ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Daniel Erez
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-07-11 15:14 UTC by Gordon Watson
Modified: 2018-12-06 17:21 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:05:42 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC

Description Gordon Watson 2014-07-11 15:14:50 UTC
Description of problem:

There have been a couple of cases recently where luns that were already part of an existing domain were showing up as available for selection when editing a storage domain.

The reason was that the luns were missing from the luns table in the database or the 'volume_group_id' was null.

The database had to be modified manually to rectify this.


Version-Release number of selected component (if applicable):

RHEV 3.3


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

The intent of this bug is to document that the database had to be modified manually in order to resolve the problem.

The steps taken to do this are in a subsequent private comment.

Comment 3 Allon Mureinik 2014-07-13 06:10:41 UTC
Daniel, don't your changes in 3.4 and 3.5 cover this?

Comment 8 Ori Gofen 2014-07-15 15:20:51 UTC
verified on oVirt 3.5 beta

Comment 10 errata-xmlrpc 2015-02-11 18:05:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.